# infrastructure/traefik/service.yaml
apiVersion: v1
kind: Service
metadata:
  name: traefik-metrics
  namespace: traefik
  labels:
    app: traefik
  annotations:
    prometheus.io/scrape: "true"
    prometheus.io/port: "9100"
    prometheus.io/path: "/metrics"
spec:
  type: ClusterIP
  selector:
    app: traefik
  ports:
    - name: metrics
      port: 9100
      targetPort: metrics
